Bug 5711 - Distinction between authors/additional authors in opac normal view (MARC21/XSLT)
Summary: Distinction between authors/additional authors in opac normal view (MARC21/XSLT)
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-08 00:29 UTC by Nicole C. Engard
Modified: 2017-06-14 22:03 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2011-02-08 00:29:57 UTC
The patch for bug 5701 put the additional authors with their relator codes on their own line in the staff client and we should do the same in the OPAC.

I suggest a further break out that looks like this:

Author: 
Editor:
Illustrator:
Translator:
Additional Authors:

Otherwise the editor or translator will appear as an author and that's confusing I think to the patrons.

Relator Codes here: http://www.loc.gov/marc/relators/relaterm.html
Comment 1 hnear 2012-08-23 19:44:23 UTC
I very much agree that there needs to be further breakdown in the "By" display that now combines the 100 and 700 fields.  I like what Nicole has suggested so far to distinguish authors from additional authors, editors, illustrators, etc.  I would also suggest that for media many of the 700 fields list performers, conductors, etc.; people who would normally appear in the 511 participants note.  Some logical accommodation for these non-book contributors should be considered as well.
Comment 2 Katrin Fischer 2015-07-13 12:38:20 UTC
+1 for changing the OPAC display to match the staff client display (and do further improvements to it as a next step!)
Comment 3 Katrin Fischer 2016-06-19 22:42:56 UTC
This has been resolved with other changes for RDA - OPAC and staff display now both show 'Contributors' separately.